/* =========================
   RESET
========================= */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{

    background:#0b0b0b;

    color:#fff;

    font-family: "Manrope", sans-serif;

    overflow-x:hidden;

}

img{

    display:block;

    max-width:100%;

}

a{

    color:inherit;

    text-decoration:none;

}
/* =========================
   CONTAINER
========================= */

.container{
    width: 100%;
    max-width: 1700px;
    margin: 0 auto;
    padding: 0 120px;
}
/* =========================
   HERO
========================= */

.hero{
    position: relative;
    height: 100vh;
    display: flex;
    align-items: center;
    overflow: hidden;
    padding-top: 0;
}

.hero-grid{
    position: relative;
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.hero-content{
    position: relative;
    z-index: 2;
    max-width: 620px;
    margin-top: 30px;
}
.hero-image{
    position: absolute;

    right: -20px;
    bottom: -78px;

    width: clamp(500px, 40vw, 650px);

    z-index: 1;
}
.hero-image::before{
    content: "";

    position: absolute;

    width: 820px;
    height: 820px;

    left: 52%;
    top: 42%;

    transform: translate(-50%, -50%);

    border-radius: 50%;

    background: radial-gradient(
        circle,
        rgba(207,167,74,.70) 0%,
        rgba(207,167,74,.28) 35%,
        rgba(207,167,74,.10) 60%,
        rgba(207,167,74,0) 82%
    );

    filter: blur(45px);

    z-index: -1;

}

.hero-image img{
    width: 100%;
    display: block;

    filter: drop-shadow(0 0 35px rgba(207,167,74,.22));
}
/* =========================
   HERO CONTENT
========================= */



.hero-content h1{
    font-size: 64px;
    line-height: 0.95;
    font-weight: 700;
    letter-spacing: -2px;
    margin-bottom: 34px;
}
.hero-content h1 span{
    color: #D8B25C;
}
.hero-content h2{
    font-size: 28px;
    line-height: 1.35;
    font-weight: 500;
    color:#f3f3f3;
    margin-bottom: 20px;
}

.hero-content p{
    font-size:18px;
    line-height:1.8;
    color:#d0d0d0;

    max-width:600px;

    margin-bottom:1px;
}
/* =========================
   STATS
========================= */

.stats{
    display: flex;
    gap: 30px;
    margin-bottom: 15px;
}

.stat{
    flex: 1;
    min-width: 250px;

    padding: 30px 24px 26px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    text-align: center;

    background: rgba(255,255,255,0.04);
    border: 1px solid rgba(255,255,255,0.08);

    border-radius: 20px;

    backdrop-filter: blur(12px);

    transition: all .3s ease;
}

.stat:hover{
    transform: translateY(-6px);
    border-color: rgba(216,178,92,.5);
}

.stat .number{
    display: block;
    font-size: 28px;
    font-weight: 700;
    margin-bottom: 10px;
    color: #fff;
    text-align: center;
}

.stat .text{
    display: block;
    font-size:14px;
    letter-spacing:.5px;
    text-transform:uppercase;
    color: #9e9e9e;
    text-align: center;
}
/* =========================
   TELEGRAM BUTTON
========================= */
.telegram-button{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 12px;

    width: 300px;
    height: 58px;

   background: #CFA74A;
color: #111111;
border: 1px solid #CFA74A;
    border-radius: 18px;

    font-size: 18px;
    font-weight: 700;

    margin-bottom: 35px;
    margin-top: 15px;
    box-shadow: 0 8px 24px rgba(207,167,74,.18);
   
    transition: all .3s ease;
}

.telegram-button:hover{
    transform: translateY(-3px);

    background: #D8B25C;

    box-shadow: 0 14px 36px rgba(207,167,74,.35);
}

.telegram-button img{
    width: 20px;
    height: 20px;
    object-fit: contain;
    display: block;
    flex-shrink: 0;
}
.gold-text{
    color: #D8B25C;
    font-weight: 700;
}
.quote-text{
    font-family: "Caveat", cursive;
    font-size: 28px;
    font-weight: 700;
    color: #CFA74A;
    line-height: 1.2;
}
.stat-icon{
    width: 28px;
    height: 28px;

    margin-bottom: 16px;

    display: block;
}
/* =========================
   LAPTOP
========================= */

@media (max-width: 1440px){

    .container{
        padding: 0 80px;
    }

      .hero-content{
        max-width: 520px;
    }

    .hero-content h1{
        font-size: 58px;
    }

    .hero-content h2{
        font-size: 24px;
    }
}
@media (max-width: 1280px){

    .container{
        padding: 0 60px;
    }

      .hero-content h1{
        font-size: 52px;
    }

    .stats{
        gap: 18px;
    }

    .stat{
        min-width: 220px;
    }
}
@media (min-width: 1920px){

    .container{
        max-width: 2000px;
    }

    .hero-image{
        width: 760px;
        right: -40px;
    }

    .hero-content{
        max-width: 700px;
    }

    .hero-content h1{
        font-size: 76px;
    }

    .hero-content h2{
        font-size: 32px;
    }
}
/* =========================
   TABLET
========================= */

@media (min-width: 769px) and (max-width: 1023px){

    .hero-grid{
    display: grid;
    grid-template-columns: 1fr 440px;
    grid-template-areas:
        "title title"
        "stats image"
        "text text"
        "button button";
    gap: 25px 40px;
    align-items: start;
}

.hero-content{
    display: contents;
}

.hero-title{
    grid-area: title;
    text-align: center;
    margin-top: 40px;      /* увеличьте до 40-50px, если нужно */
    margin-bottom: 30px;
}

.stats{
    grid-area: stats;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.hero-content p{
    grid-area: text;

    max-width: 520px;
    margin: -40px auto 0;

    text-align: center;
}

.telegram-button{
    grid-area: button;
    justify-self: center;
}

.hero-image{
    grid-area: image;
    position: relative;
    width: 100%;
    max-width: 500px;
    right: auto;
    bottom: auto;
    margin: 0;
}
}

@media (min-width: 600px) and (max-width: 768px){

    .hero-grid{
        display: grid;
        grid-template-columns: 1fr 390px;
        grid-template-areas:
            "title title"
            "stats image"
            "text text"
            "button button";
        gap: 20px 25px;
        align-items: start;
    }
.container{
    padding: 0 20px;
}
   .hero{
    height: auto;
    min-height: 100vh;
    padding: 40px 0;
}
    .hero-content{
        display: contents;
    }

    .hero-title{
        grid-area: title;
        text-align: center;
        margin-top: 30px;
        margin-bottom: 20px;
    }

    .hero-title h1{
        font-size: 46px;
    }

    .hero-title h2{
        font-size: 22px;
    }
.stat{
    min-width: 180px;
    width: 90%;
}
   .stats{
    grid-area: stats;
    display: flex;
    flex-direction: column;
    gap: 12px;

    margin-left: 35px;  
}

    .hero-content p{
        grid-area: text;
        max-width: 500px;
        margin: 0 auto;
        text-align: center;
    }

    .telegram-button{
        grid-area: button;
        justify-self: center;
    }

    .hero-image{
        grid-area: image;
        position: relative;
        width: 100%;
        max-width: 415px;
        margin: 0;

        margin-left: -29px;
        margin-top: -40px;
    }

}
/* =========================
   MOBILE
========================= */

@media (max-width: 599px){

    .container{
        padding: 0 20px;
    }

    .hero{
        height: auto;
        min-height: 100vh;
        padding: 40px 0;
    }

   .hero-grid{
    display: grid;
    grid-template-areas:
        "title"
        "image"
        "stats"
        "text"
        "button";
    justify-items: center;
    gap: 25px;
}

   .hero-content{
    display: contents;
}

    .hero-title{
    grid-area: title;
    text-align: center;
}
.hero-image{
    grid-area: image;

    position: relative;
    right: auto;
    bottom: auto;

    width: 100%;
    max-width: 320px;

    margin: 0;
}

.stats{
    grid-area: stats;
    width: 100%;

    display: flex;
    flex-direction: column;
    gap: 15px;
}

.hero-content p{
    grid-area: text;
    max-width: 100%;
    text-align: center;
}

.telegram-button{
    grid-area: button;
    width: 100%;
    max-width: 320px;
    justify-self: center;
}
    .hero-title h1{
        font-size:38px;
        line-height:1;
        margin-bottom:18px;
    }

    .hero-title h2{
        font-size:20px;
        line-height:1.4;
    }

}
